### Method

# Vips Image LCh2CMC

#### Declaration [src]

    int
    vips_LCh2CMC (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Turn LCh to CMC.

The CMC colourspace is described in “Uniform Colour Space Based on the CMC(l:c) Colour-difference Formula”, M R Luo and B Rigg, Journal of the Society of Dyers and Colourists, vol 102, 1986. Distances in this colourspace approximate, within 10% or so, differences in the CMC(l:c) colour difference formula.

This operation generates CMC(1:1). For CMC(2:1), halve Lucs and double Cucs.

See also

`vips_CMC2LCh()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.